org.eclipse.actf.model.ui.editor.browser

## Interface IWebBrowserStyleInfo

    public interface IWebBrowserStyleInfo

Interface for style information of content and `IWebBrowserACTF`

### Method Summary

Methods
`Map<String,ICurrentStyles>` `getCurrentStyles()` Get current style information of the content in `IWebBrowserACTF`
`ModelServiceSizeInfo` `getSizeInfo(boolean isWhole)` Get current size information of `IWebBrowserACTF`
`org.eclipse.swt.graphics.RGB` `getUnvisitedLinkColor()` Get the unvisited link color in RGB format.
`org.eclipse.swt.graphics.RGB` `getVisitedLinkColor()` Get the visited link color in RGB format.

### Method Detail

#### getCurrentStyles

    Map<String,ICurrentStyles> getCurrentStyles()

Get current style information of the content in `IWebBrowserACTF`

Returns:
  Returns the Map between Elements (XPath) and it's current styles.

#### getSizeInfo

    ModelServiceSizeInfo getSizeInfo(boolean isWhole)

Get current size information of `IWebBrowserACTF`

Parameters:
  `isWhole` - if true returns whole page size, if false returns visible area size
Returns:
  Returns the Browser's size information.

#### getUnvisitedLinkColor

    org.eclipse.swt.graphics.RGB getUnvisitedLinkColor()

Get the unvisited link color in RGB format.

Returns:
  Returns the unvisited link color in RGB format.

#### getVisitedLinkColor

    org.eclipse.swt.graphics.RGB getVisitedLinkColor()

Get the visited link color in RGB format.

Returns:
  Returns the visited link color in RGB format.